#!/bin/bash

xmin=0
xmax=200
xdel=10
xext=""

ymin=1
ymax=20
ydel=1
yext=".0e-6"

x=$xmin

# make a blank file
> results.txt

while [  $x -le $xmax ]
do
  y=$ymin
  while [  $y -le $ymax ]
  do
    cp Master.sk Master.inp
    sed -i 's/$Ru/'$x$xext'/g' Master.inp
    sed -i 's/$Diff/'$y$yext'/g' Master.inp
    ./MECSim > log.txt
    z=$(./QuickCompare)
    echo $x$xext $y$yext $z > temp.txt
    cat results.txt temp.txt > results2.txt
    mv results2.txt results.txt
    y=$((y+ydel))
  done
  x=$((x+xdel))
done


